﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 2680A-PAI/FAI DC Volts ADJ RS-232 /5520
INSTRUMENT:            Sub Fluke 2680A-PAI/FAI AC Volts ADJ RS-232 /5520
INSTRUMENT:            Sub Fluke 2680A-PAI/FAI 4-Wire Ohms ADJ RS-232 /5520
INSTRUMENT:            Sub Fluke 2680A-PAI/FAI Frequency ADJ RS-232 /5520
DATE:                  2011-04-21 19:25:03
AUTHOR:                Fluke
REVISION:              $Revision: 8204 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       255
CONFIGURATION:         Fluke 5520A
=============================================================================
#
#  Procedure Author:
#        GMO, DFM, VY, DAC, ZY
#
#  Model(s) Covered:
#        2680A, 2686A
#
#  Source:
#        268XA Data Acquisition System/Data Logging System Service Manual
#        Document Number: PN 1883791, November 2002
#
#  Compatibility:
#        MET/CAL or 5500/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Fluke 268xA Check Acknowledge Response RS-232
#        Sub Fluke 268xA Send Command RS-232
#        Sub Fluke 268xA Query Response RS-232
#
#  Required Files:
#        268x_UIM_5520_ADJ_V_2W.jpg :
#             5520A to 268xA Universal Input Module Voltage connection
#        268x_UIM_5520_ADJ_Z_4W.jpg :
#             5520A to 268xA Universal Input Module 4-Wire Ohm connection
#        268x_UIM_5520_ADJ_Z_4W_2W.jpg :
#             5520A to 268xA Universal Input Module "2-Wire comp" Ohm con.
#
# Additional Equipment Required:
#        Specially configured Universal Input Module
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         DCV_CAL                      PSUBI("DC Volts")
  1.002  JMPL         ACV_CAL                      PSUBI("AC Volts")
  1.003  JMPL         4-WIRE_OHMS                  PSUBI("4-Wire Ohms")
  1.004  JMPL         FREQUENCY                    PSUBI("Frequency")
  1.005  DISP         Error:  Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment step number

# ====== DC Voltage =========================================================

  2.001  LABEL        DCV_CAL
  2.002  HEAD         DC VOLTS CALIBRATION
  2.003  TARGET

# Set UUT to calibrate VDC function.
  2.004  MATH         @UUTCommand = "CAL " & @SlotTested & ",1"
  2.005  CALL         Sub Fluke 268xA Send Command RS-232
  2.006  JMPL         END                          @Abort
  2.007  MATH         CalComplete = 0

  2.008  DO
# Query the present calibration reference.
  2.009  MATH         @QueryCommand = "CAL_REF?"
  2.010  CALL         Sub Fluke 268xA Query Response RS-232

  2.011  IF           NOT(@Abort)

  2.012  IF           ZCMPI(@Response, "+90.0000E-3")
  2.013  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
  2.014  PIC          268x_UIM_5520_ADJ_V_2W
  2.015  ENDIF

  2.016  MATH         MEM = @Response
  2.017  5520         V                                                 S  2W
  2.018  WAIT         -t 5 System settling...
# Query the calibration result.
  2.019  MATH         @QueryCommand = "CAL_STEP?"
  2.020  CALL         Sub Fluke 268xA Query Response RS-232

  2.021  IF           NOT(@Abort)

  2.022  IF           ZCMPI(@Response,"+300.000E+0") && ZCMPI(@CalType,"PAI")
  2.023  MATH         CalComplete = 1
  2.024  ELSEIF       ZCMPI(@Response, "+50.0000E+0") && ZCMPI(@CalType,"FAI")
  2.025  MATH         CalComplete = 1
  2.026  ENDIF

  2.027  ENDIF        ; NOT(@Abort)

  2.028  ENDIF        ; NOT(@Abort)

  2.029  UNTIL        CalComplete || @Abort

  2.030  JMPL         END

  2.031  EVAL   Increment step number

# ====== AC Voltage =========================================================

  3.001  LABEL        ACV_CAL
  3.002  HEAD         AC VOLTS CALIBRATION
  3.003  TARGET

  3.004  MATH         @UUTCommand = "CAL " & @SlotTested & ",2"
  3.005  CALL         Sub Fluke 268xA Send Command RS-232
  3.006  JMPL         END                          @Abort
  3.007  MATH         CalComplete = 0

  3.008  DO
# Query the present calibration reference.
  3.009  MATH         @QueryCommand = "CAL_REF?"
  3.010  CALL         Sub Fluke 268xA Query Response RS-232

  3.011  IF           NOT(@Abort)
  3.012  MATH         MEM = @Response
  3.013  5520         V                            1kH            SI    S  2W
  3.014  WAIT         -t 5 System settling...
# Query the calibration result.
  3.015  MATH         @QueryCommand = "CAL_STEP?"
  3.016  CALL         Sub Fluke 268xA Query Response RS-232

  3.017  IF           NOT(@Abort)

  3.018  IF           ZCMPI(@Response,"+30.0000E+0") && ZCMPI(@CalType,"FAI")
  3.019  MATH         CalComplete = 1
  3.020  ELSEIF       ZCMPI(@Response, "+300.000E+0") && ZCMPI(@CalType,"PAI")
  3.021  MATH         CalComplete = 1
  3.022  ENDIF

  3.023  ENDIF        ; NOT(@Abort)

  3.024  ENDIF        ; NOT(@Abort)

  3.025  UNTIL        CalComplete || @Abort

  3.026  JMPL         END

  3.027  EVAL   Increment step number

# ====== 4-Wire Ohms ========================================================

  4.001  LABEL        4-WIRE_OHMS
  4.002  HEAD         RESISTANCE CALIBRATION
  4.003  TARGET

  4.004  MATH         @UUTCommand = "CAL " & @SlotTested & ",3"
  4.005  CALL         Sub Fluke 268xA Send Command RS-232
  4.006  JMPL         END                          @Abort
  4.007  MATH         CalComplete = 0

  4.008  DO
# Query the present calibration reference.
  4.009  MATH         @QueryCommand = "CAL_REF?"
  4.010  CALL         Sub Fluke 268xA Query Response RS-232

  4.011  IF           NOT(@Abort)

  4.012  IF           ZCMPI(@Response, "+190.000E+0")
  4.013  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
  4.014  PIC          268x_UIM_5520_ADJ_Z_4W
  4.015  DISP         Connect the specially configured Universal Input
  4.015  DISP         Module to the MODULE in slot [V @SlotTested].
  4.016  5520         190.000Z                                          S  4W

  4.017  ELSEIF       ZCMPI(@Response, "+1.90000E+3")
  4.018  5520         1.90000kZ                                         S  4W

  4.019  ELSEIF       ZCMPI(@Response, "+19.0000E+3")
  4.020  5520         19.0000kZ                                         S  4W

  4.021  ELSEIF       ZCMPI(@Response, "+190.000E+3")
  4.022  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
  4.023  PIC          268x_UIM_5520_ADJ_Z_4W_2W
  4.024  5520         190.000kZ                                         S  2W

  4.025  ELSEIF       ZCMPI(@Response, "+1.90000E+6")
  4.026  5520         1.90000MZ                                         S  2W
  4.027  ENDIF

  4.028  WAIT         -t 5 System Settling ...
  4.029  MATH         @QueryCommand = "CAL_STEP?"
  4.030  CALL         Sub Fluke 268xA Query Response RS-232

  4.031  IF           NOT(@Abort)

  4.032  IF           ZCMPI(@Response,"+1.90000E+6")
  4.033  MATH         CalComplete = 1
  4.034  ENDIF

  4.035  ENDIF        ; NOT(@Abort)

  4.036  ENDIF        ; NOT(@Abort)

  4.037  UNTIL        CalComplete || @Abort

  4.038  JMPL         END

  4.039  EVAL   Increment step number

# ====== Frequency ========================================================

  5.001  LABEL        FREQUENCY
  5.002  HEAD         FREQUENCY CALIBRATION
  5.003  TARGET

  5.004  MATH         @UUTCommand = "CAL " & @SlotTested & ",4"
  5.005  CALL         Sub Fluke 268xA Send Command RS-232
  5.006  JMPL         END                          @Abort

  5.007  DO
  5.008  MATH         @QueryCommand = "CAL_REF?"
  5.009  CALL         Sub Fluke 268xA Query Response RS-232

  5.010  IF           NOT(@Abort)
  5.011  MATH         MEM = @Response
  5.012  5520         H                            3V             SI    S  2W
  5.013  WAIT         -t 5 System Settling ...
  5.014  MATH         ExpectedResp = "+10.0000E+3"
  5.015  MATH         @QueryCommand = "CAL_STEP?"
  5.016  CALL         Sub Fluke 268xA Query Response RS-232
  5.017  ENDIF        ; NOT(@Abort)

  5.018  UNTIL        ZCMPI(ExpectedResp, MEM2) || @Abort

#  Set calibration mode off.
  5.019  MATH         @UUTCommand = "CAL_MODE OFF"
  5.020  CALL         Sub Fluke 268xA Send Command RS-232

  5.021  LABEL        END
  5.022  HEAD
  5.023  HEAD         -2
  5.024  5520         *                                                 S
  5.025  END
