﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 268xA CAL ADJ RS-232 /5520
DATE:                  2011-04-25 07:08:07
AUTHOR:                Fluke
REVISION:              $Revision: 8204 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       201
CONFIGURATION:         Fluke 5520A
=============================================================================
#
#  Procedure Author:
#        GMO, DFM, VY, DAC, ZY
#
#  Model(s) Covered:
#        2680A, 2686A
#
#  Source:
#        268XA Data Acquisition System/Data Logging System Service Manual
#        Document Number: PN 1883791, November 2002
#
#  Compatibility:
#        MET/CAL or 5500/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub UUT RS-232 Connection DTE DB9 (m) /5520
#        Sub Fluke 268xA Setup interface RS-232
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub Fluke 268xA Query Identification RS-232
#        Sub Fluke 268xA Modules Identification Query RS-232
#        Sub Fluke 268xA Self Test RS-232
#        Sub Fluke 268xA Cal Enable
#        Sub Fluke 2680A-PAI/FAI DC Volts ADJ RS-232 /5520
#        Sub Fluke 2680A-PAI/FAI AC Volts ADJ RS-232 /5520
#        Sub Fluke 2680A-PAI/FAI 4-Wire Ohms ADJ RS-232 /5520
#        Sub Fluke 2680A-PAI/FAI Frequency ADJ RS-232 /5520
#        Sub Fluke 268xA Send Command RS-232
#        Sub Fluke 268xA Query Measurement RS-232
#        Sub Fluke 268xA Query Response RS-232
#        Sub Fluke 268xA Check Acknowledge Response
#
#  Required Files:
#        268x_UIM_5520_ADJ_V_2W.jpg :
#             5520A to 268xA Universal Input Module Voltage connection
#        268x_UIM_5520_ADJ_Z_4W.jpg :
#             5520A to 268xA Universal Input Module 4-Wire Ohm connection
#        268x_UIM_5520_ADJ_Z_4W_2W.jpg :
#             5520A to 268xA Universal Input Module "2-Wire comp" Ohm con.
#        268x_UIM_ADJ_CON.jpg :
#             Specially Configured Universal Input Module for adjustment con.
#
#  Additional Equipment Required:
#        Specially configured Universal Input Module for adjustment
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5520         1MH                          1Vpp           SI    S  2W
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V

  1.005  CALL         Sub Display Copyright
  1.006  CALL         Sub High Voltage Safety Warning

  1.007  HEAD         TEST CONDITIONS
  1.008  DISP         Warm-up time requirement: 1 Hour.
  1.008  DISP         Ambient temperature: 18°C - 28°C.
  1.008  DISP         Relative humidity: less than 70%.

  1.009  HEAD         COMMUNICATION SETUP
  1.010  TARGET
  1.011  CALL         Sub UUT RS-232 Connection DTE DB9 (m) /5520
  1.012  CALL         Sub Fluke 268xA Setup interface RS-232
  1.013  CALL         Sub Fluke 268xA Query Identification RS-232
  1.014  JMPL         END                       @Abort

  1.015  MATH         L[1] = ZCMPI(@Manufacturer, "Fluke")
  1.016  MATH         L[2] = ZCMPI(@ModelNum, @UUT_Model)

  1.017  IF           NOT(L[1]) || NOT(L[2])
  1.018  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.018  DISP         not a Fluke [V @UUT_Model]!
  1.019  END
  1.020  ENDIF

  1.021  CALL         Sub Fluke 268xA Modules Identification Query RS-232
  1.022  JMPL         END                       @Abort

  1.023  HEAD         EQUIPMENT REQUIREMENTS
  1.024  OPBR         -z Do you want to REVIEW the list of additional
  1.024  OPBR         equipment and/or accessories required?

  1.025  IF           MEM1
  1.026  DISP         The following additional equipment and/or
  1.026  DISP         accessories are required :
  1.026  DISP
  1.026  DISP         - Fluke 26XXA-100 Universal Input Module
  1.026  DISP         [32] (specially configured for adjustment)
  1.027  ENDIF

  1.028  OPBR         -z Do you wish to review Universal Input Module
  1.028  OPBR         configuration information at this time?

  1.029  IF           MEM1
  1.030  PIC          268x_UIM_ADJ_CON
  1.031  ENDIF

  1.032  DISP         ***************************************************
  1.032  DISP         To reduce noise pickup by test leads, particularly
  1.032  DISP         during High Ohms verification, use shielded test
  1.032  DISP         cables between the Fluke 5520A and the universal
  1.032  DISP         input module.
  1.032  DISP         ***************************************************

  1.033  CALL         Sub Fluke 268xA Self Test RS-232
  1.034  JMPL         END                       @Abort
# Start calibration from the slot 1
  1.035  MATH         ChanNum = 1

  1.036  DO

  1.037  IF           ChanNum == 1
  1.038  MATH         @CalType = @Slot1Type

  1.039  ELSEIF       ChanNum == 2
  1.040  MATH         @CalType = @Slot2Type

  1.041  ELSEIF       ChanNum == 3
  1.042  MATH         @CalType = @Slot3Type

  1.043  ELSEIF       ChanNum == 4
  1.044  MATH         @CalType = @Slot4Type

  1.045  ELSEIF       ChanNum == 5
  1.046  MATH         @CalType = @Slot5Type

  1.047  ELSEIF       ChanNum == 6
  1.048  MATH         @CalType = @Slot6Type
  1.049  ENDIF

# Only the PAI and FAI modules need to be calibrated.
  1.050  IF           ZCMPI(@CalType, "PAI") || ZCMPI(@CalType, "FAI")

  1.051  MATH         @SlotTested = ChanNum
  1.052  CALL         Sub Fluke 268xA Cal Enable

  1.053  IF           NOT(@Abort)
  1.054  CALL         Sub Fluke 2680A-PAI/FAI 4-Wire Ohms ADJ RS-232 /5520
  1.055  ENDIF

  1.056  IF           NOT(@Abort)
  1.057  CALL         Sub Fluke 2680A-PAI/FAI DC Volts ADJ RS-232 /5520
  1.058  ENDIF

  1.059  IF           NOT(@Abort)
  1.060  CALL         Sub Fluke 2680A-PAI/FAI AC Volts ADJ RS-232 /5520
  1.061  ENDIF

  1.062  IF           NOT(@Abort)
  1.063  CALL         Sub Fluke 2680A-PAI/FAI Frequency ADJ RS-232 /5520
  1.064  ENDIF

  1.065  ENDIF

# Slot number increased. Go to next slot calibration.
  1.066  MATH         ChanNum = ChanNum + 1
  1.067  UNTIL        (ChanNum > 6) || @Abort

  1.068  LABEL        END
  1.069  HEAD         -2

  1.070  IF           @Abort
  1.071  HEAD         A D J U S T M E N T  A B O R T E D !
  1.072  ELSE
  1.073  HEAD         A D J U S T M E N T  C O M P L E T E !
  1.074  ENDIF

  1.075  END
